[openssh-commits] [openssh] 05/13: ensure ERROR output goes to STDERR
git+noreply at mindrot.org
git+noreply at mindrot.org
Sat Aug 17 11:22:23 AEST 2024
This is an automated email from the git hooks/post-receive script.
dtucker pushed a commit to branch master
in repository openssh.
commit b3f91411fd1473605f74c40c1a91a024c7171e27
Author: Philip Hands <phil at hands.com>
AuthorDate: Wed Jul 31 23:15:11 2024 +0200
ensure ERROR output goes to STDERR
SSH-Copy-ID-Upstream: ac394b05eead3b91feb7c2ae4129a3e9b892f1e2
---
contrib/ssh-copy-id | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
diff --git a/contrib/ssh-copy-id b/contrib/ssh-copy-id
index 8c84385d..0b12381e 100644
--- a/contrib/ssh-copy-id
+++ b/contrib/ssh-copy-id
@@ -56,7 +56,7 @@ then
a bug describing your setup, and the shell you used to make it work.
EOF
- printf '%s: ERROR: Less dimwitted shell required.\n' "$0"
+ printf '%s: ERROR: Less dimwitted shell required.\n' "$0" >&2
exit 1
fi
fi
@@ -86,7 +86,7 @@ use_id_file() {
L_ID_FILE="$1"
if [ -z "$L_ID_FILE" ] ; then
- printf '%s: ERROR: no ID file found\n' "$0"
+ printf '%s: ERROR: no ID file found\n' "$0" >&2
exit 1
fi
@@ -103,7 +103,7 @@ use_id_file() {
ErrMSG=$( { : < "$f" ; } 2>&1 ) || {
L_PRIVMSG=""
[ "$f" = "$PRIV_ID_FILE" ] && L_PRIVMSG=" (to install the contents of '$PUB_ID_FILE' anyway, look at the -f option)"
- printf "\\n%s: ERROR: failed to open ID file '%s': %s\\n" "$0" "$f" "$(printf '%s\n%s\n' "$ErrMSG" "$L_PRIVMSG" | sed -e 's/.*: *//')"
+ printf "\\n%s: ERROR: failed to open ID file '%s': %s\\n" "$0" "$f" "$(printf '%s\n%s\n' "$ErrMSG" "$L_PRIVMSG" | sed -e 's/.*: *//')" >&2
exit 1
}
done
@@ -120,7 +120,7 @@ do
case "$OPT" in
i)
[ "${SEEN_OPT_I}" ] && {
- printf '\n%s: ERROR: -i option must not be specified more than once\n\n' "$0"
+ printf '\n%s: ERROR: -i option must not be specified more than once\n\n' "$0" >&2
usage
}
SEEN_OPT_I="yes"
--
To stop receiving notification emails like this one, please contact
djm at mindrot.org.
More information about the openssh-commits
mailing list